cURL
curl --request GET \
--url https://api.useanima.sh/v1/vault/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useanima.sh/v1/vault/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useanima.sh/v1/vault/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"serverUrl": "<string>",
"lastSync": "2023-11-07T05:31:56Z",
"status": "unlocked",
"defaultRevealPolicy": "standard"
}API Reference
Get vaultstatus
GET
/
vault
/
status
cURL
Authorizations
BearerAuthApiKeyAuth
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Query Parameters
Agent identifier. Optional when using an agent API key (resolved automatically); required when using a master key.
Pattern:
^[0-9a-z]+$Response
200 - application/json
OK
Current vault connection and lock status
Vault backend server URL
Timestamp of the last synchronization
Current vault lock state
Available options:
unlocked, locked, unauthenticated Organization default applied when a new credential does not request a reveal policy
Available options:
standard, brokered 